GNUNET-CADET(1)

NAME
gnunet-cadet - Create or obtain information about CADET tunnels and peers

SYNOPSIS
gnunet-cadet [options] [ PEER_ID SHARED_SECRET ]

DESCRIPTION
gnunet-cadet prints information about CADET tunnels and peers. It can also be used for command-line based CADET tunnels using the -o SHARED_SECRET option to open a port on a receiving PEER_ID and using "gnunet-cadet PEER_ID SHARED_SECRET" to establish one circuit to that peer from any other peer. The receiving process will only accept one incoming circuit, but several commands using the same -o can be issued to satisfy multiple requests. For one-to-many communication gnunet-social may be better suited, however.

SPECIFIC OPTIONS

-C CONNECTION_ID,  --connection=CONNECTION_ID
    Provide information about a particular connection.

-d,  --dump
    Dump debug information to STDERR.

-e,  --echo
    Activate echo mode.

-o SHARED_SECRET,  --open-port=SHARED_SECRET
    Listen for connections using a shared secret among sender and recipient.

-p PEER_ID,  --peer=PEER_ID
    Provide information about a patricular peer.

-P,  --peers
    Provide information about all peers.

-t TUNNEL_ID,  --tunnel=TUNNEL_ID
    Provide information about a patricular tunnel.

-T,  --tunnels
    Provide information about all tunnels.

STANDARD OPTIONS

-c FILENAME,  --config=FILENAME
    Use the configuration file FILENAME.

-h, --help
    Print short help on options.

-l LOGFILE, --logfile=LOGFILE
    Configure logging to write logs to LOGFILE.

-L LOGLEVEL, --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-v, --version
    Print GNUnet version number.

BUGS
Report bugs by using Mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>